Package org.eclipse.wst.xsl.ui.internal.contentassist

## org.eclipse.wst.xsl.ui.internal.contentassist
Class TemplateModeAttributeContentAssist

    public class TemplateModeAttributeContentAssist
    extends org.eclipse.wst.xsl.ui.provisional.contentassist.AbstractXSLContentAssistRequest

TemplateModeAttributeContentAssist provides content assistance proposals for with a mode attribute. It looks at all the modes defined within the xsl model, and pulls out any modes that have been defined.

## Constructor Summary

`TemplateModeAttributeContentAssist(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Method Summary

`protected void` | `addModeProposals(org.eclipse.wst.xsl.core.model.StylesheetModel model)`
`public java.util.ArrayList` | `getCompletionProposals()` The main method that returns an array of proposals. Returns the available modes that have been defined in the {@link StylesheetModel}. If no proposals are found it returns a NULL value.

## Constructor Detail

## TemplateModeAttributeContentAssist

`public TemplateModeAttributeContentAssist(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

Constructor for creating the TemplateMode Content Assistance class.

## Methods Detail

## addModeProposals

`protected void addModeProposals(org.eclipse.wst.xsl.core.model.StylesheetModel model)`

### Parameters

`model`

## getCompletionProposals

`public java.util.ArrayList getCompletionProposals()`

The main method that returns an array of proposals. Returns the available modes that have been defined in the {@link StylesheetModel}. If no proposals are found it returns a NULL value.

### Returns

`java.util.ArrayList` - ICompletionPropsal[]